Subject: [Sipping] Some comments on draft service-examples

From: [email-masked]
Date: Tue, 8 Apr 2003 11:56:54 +0800 (CST)

Hi all,

   1) I think this is a error: Call Pickup service , in the message "F3 SUBSCRIBE", the method name of SUBSCRIBE should be "SUBSCRIBE" , not "INVITE".

   2) I have read draft-ietf-sipping-dialog-package-01, I can not find an attribute named remote-uri in ELEMENT dialog, while in service-examples, it shows:
    <?xml version="1.0"?>
   <dialog-info xmlns="urn:ietf:params:xml:ns:dialog-info"
      version="0" state="full" entity="sip:[email-masked]">
   <dialog id="94992014524" call-id="[email-masked]"
      local-tag="3145678" remote-tag="1234567" direction="recipient"
      remote-uri="[email-masked]">
     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
           Where is the defination of the attribute remote-uri ? Have I missing something?
   <state>early</state>
   </dialog>
   </dialog-info>

    3) Why "F14 NOTIFY" request will receive a response 481? As I know, the subscription created by F3 SUBSCRIBE does not terminated until F14 receives.
So , I think "Carol" will give "Bob" a response "200 OK" to "F14 NOTIFY".
Is it wrong?
    
    Thanks to clarify me.

------------------------------------------------------------------
Ȩ������ ���ſ�ͣ����黥�� ���Ŵ��顣
��ӭ�������������Ƶ����http://sms.people.com.cn

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP